{pkgs, ...}: let
  kotlin-lsp = pkgs.runCommand "kotlin-lsp" {} ''
    mkdir -p $out/bin
    ln -s ${pkgs.kotlin-language-server}/bin/kotlin-language-server $out/bin/kotlin-lsp
  '';
in {
  users.users.someone.packages = with pkgs; [
    # android development
    jdk17
    gradle
    android-tools
    kotlin-lsp
    ktlint
    scrcpy
    (pkgs.androidenv.composeAndroidPackages {
      buildToolsVersions = ["36.0.0" "35.0.0" "34.0.0" "29.0.3"];
      platformVersions = ["29" "34" "35" "36"];
      includeNDK = true;
      ndkVersions = ["27.0.12077973"];
      cmakeVersions = ["3.22.1"];
    }).androidsdk
  ];
}
